Subject: [PATCH v2 0/2] gnu: tlpui: Fix location for "defaults.conf".

From: Juliana Sims <[email-masked]>
Date: Thu, 22 Feb 2024 17:56:57 -0500

> how does this relate to other changes in the patch (lsusb and lspci)?

It doesn't! I meant to split these into separate commits but was very tired.
Don't code sleepy, kids!

> I'm a bit puzzled here: how does
>
>   (search-input-file inputs "/share/tlp/defaults.conf")
>
> differ from
>
>   #$(file-append tlp "/share/tlp/defaults.conf")

The latter directly accesses the input in question then joins its path with the
provided string and inserts the result where the `file-append` form was in the
code. The former searches each input's store directory at build time to find a
matching file. In other words, since we know exactly where to find these files
ahead of time, we simply tell the build dæmon where they are rather than making
it look for them.

Because this is a quite minor performance improvement and code modernization,
rather than a requirement for the package to build, I've split it into a second
patch to be applied at the discretion of a commiter.

> I think the commit message could be expounded a bit, e.g.,
>
>   * gnu/packages/linux.scm (tlpui)[arguments]: Fix location for "defaults.conf".

Good idea! I've modified the commit messages to be more precise :)

Thanks,
Juli

Juliana Sims (2):
  gnu: tlpui: Fix location for "defaults.conf".
  gnu: tlpui: Reference inputs directly during build.

 gnu/packages/linux.scm | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

base-commit: 34ce59bb0668e75d40f42b89e36dc9af6f548e4c
-- 
2.41.0